<?php
namespace Mirasvit\LayeredNavigation\Controller\Adminhtml\Filter\SaveConfig;

/**
 * Interceptor class for @see \Mirasvit\LayeredNavigation\Controller\Adminhtml\Filter\SaveConfig
 */
class Interceptor extends \Mirasvit\LayeredNavigation\Controller\Adminhtml\Filter\SaveConfig implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\App\Action\Context $context, \Magento\Framework\Controller\Result\JsonFactory $resultJsonFactory, \Mirasvit\LayeredNavigation\Repository\AttributeConfigRepository $attributeConfigRepository)
    {
        $this->___init();
        parent::__construct($context, $resultJsonFactory, $attributeConfigRepository);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
